// 创建数据库表-控制接口
// 秒寻科技
// zt 2024-01-04

package dbtablehandler

import (
	"ipsomc/core/dbtable/dbtableapi"
	"ipsomc/core/gin/resp"

	"github.com/gin-gonic/gin"
)

type DbTableHan struct {
	dbTableApi dbtableapi.DbTableApi
}

// GenerateDbTable 创建表
func (obj *DbTableHan) GenerateDbTableHan(c *gin.Context) {
	//创建数据库表
	obj.dbTableApi.GenerateDbTable()

	//返回前端数据
	resp.RespOk(c)
}
